## bino-dmo 2.6

=== CMakeLists.txt ===
# Copyright (C) 2022, 2023, 2024, 2025
# Martin Lambers <marlam@marlam.de>
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved. This file is offered as-is, without any warranty.

cmake_minimum_required(VERSION 3.12)
set(CMAKE_FIND_PACKAGE_SORT_ORDER NATURAL)
set(CMAKE_FIND_PACKAGE_SORT_DIRECTION DEC)
set(CMAKE_AUTOMOC ON)

project(Bino LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)

# Required: Qt6
find_package(Qt6 6.6.0 REQUIRED COMPONENTS OpenGLWidgets Multimedia LinguistTools)
# Optional: QVR for Virtual Reality support
find_package(QVR 4.1.0 QUIET)
if(QVR_FOUND)
    add_definitions(-DWITH_QVR)
    include_directories(${QVR_INCLUDE_DIRS})
    link_directories(${QVR_LIBRARY_DIRS})
endif()

# The executable
add_executable(bino
	src/main.cpp src/version.hpp
	src/log.hpp src/log.cpp
	src/tools.hpp src/tools.cpp
	src/screen.hpp src/screen.cpp src/tiny_obj_loader.h
	src/modes.hpp src/modes.cpp
	src/metadata.hpp src/metadata.cpp
	src/playlist.hpp src/playlist.cpp
	src/videoframe.hpp src/videoframe.cpp
	src/videosink.hpp src/videosink.cpp
	src/bino.hpp src/bino.cpp
	src/qvrapp.hpp src/qvrapp.cpp
	src/widget.hpp src/widget.cpp
	src/commandinterpreter.hpp src/commandinterpreter.cpp
	src/playlisteditor.hpp src/playlisteditor.cpp
	src/gui.hpp src/gui.cpp
	src/urlloader.hpp src/urlloader.cpp
	src/digestiblemedia.hpp src/digestiblemedia.cpp
	src/appicon.rc)
qt6_add_translations(bino TS_FILES i18n/bino_de.ts i18n/bino_ja.ts i18n/bino_ka.ts i18n/bino_zh.ts)
qt6_add_resources(bino "misc" PREFIX "/" FILES
	src/shader-color.vert.glsl
	src/shader-color.frag.glsl
	src/shader-view.vert.glsl
	src/shader-view.frag.glsl
	src/shader-display.vert.glsl
	src/shader-display.frag.glsl
	src/shader-vrdevice.vert.glsl
	src/shader-vrdevice.frag.glsl
	res/bino-logo-small.svg res/bino-logo-small-512.png)
set_target_properties(bino PROPERTIES WIN32_EXECUTABLE TRUE)
target_link_libraries(bino PRIVATE Qt6::OpenGLWidgets Qt6::Multimedia ${QVR_LIBRARIES})
install(TARGETS bino RUNTIME DESTINATION bin)

# The manual and man page (optional, only if pandoc is found)
find_program(PANDOC NAMES pandoc DOC "pandoc executable")
if(PANDOC)
    add_custom_command(OUTPUT "${CMAKE_BINARY_DIR}/bino-manual.html"
	COMMAND ${PANDOC} "-s" "-t" "html" "--toc" "--css" "bino-manual.css" "${CMAKE_SOURCE_DIR}/doc/bino-manual.md" "-o" "${CMAKE_BINARY_DIR}/bino-manual.html"
	WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
	DEPENDS "${CMAKE_SOURCE_DIR}/doc/bino-manual.md"
	COMMENT "Generating HTML manual with pandoc" VERBATIM)
    add_custom_target(manual ALL DEPENDS "${CMAKE_BINARY_DIR}/bino-manual.html")
    install(FILES "doc/bino-manual.css" "${CMAKE_BINARY_DIR}/bino-manual.html" DESTINATION share/doc/bino)
    add_custom_command(OUTPUT "${CMAKE_BINARY_DIR}/bino.1"
	COMMAND ${PANDOC} "-s" "-t" "man" "${CMAKE_SOURCE_DIR}/doc/bino-manual.md" "-o" "${CMAKE_BINARY_DIR}/bino.1"
	WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
	DEPENDS "${CMAKE_SOURCE_DIR}/doc/bino-manual.md"
	COMMENT "Generating man page with pandoc" VERBATIM)
    add_custom_target(manpage ALL DEPENDS "${CMAKE_BINARY_DIR}/bino.1")
    install(FILES "${CMAKE_BINARY_DIR}/bino.1" DESTINATION share/man/man1)
endif()

# Add auxiliary files for Linux-ish systems
if(UNIX)
    install(FILES "res/bino-logo-small-16.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/16x16/apps)
    install(FILES "res/bino-logo-small-22.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/22x22/apps)
    install(FILES "res/bino-logo-small-32.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/32x32/apps)
    install(FILES "res/bino-logo-small-48.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/48x48/apps)
    install(FILES "res/bino-logo-small-64.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/64x64/apps)
    install(FILES "res/bino-logo-small-128.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/128x128/apps)
    install(FILES "res/bino-logo-small-256.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/256x256/apps)
    install(FILES "res/bino-logo-small-512.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/512x512/apps)
    install(FILES "res/bino-logo-small.svg"     RENAME "org.bino3d.bino.svg" DESTINATION share/icons/hicolor/scalable/apps)
    install(FILES "res/org.bino3d.bino.desktop" DESTINATION share/applications)
    install(FILES "res/org.bino3d.bino.metainfo.xml" DESTINATION share/metainfo)
endif()

if (QVR_FOUND)
    message(STATUS "Build Bino with QVR support: YES")
else()
    message(STATUS "Build Bino with QVR support: NO")
endif()
if (PANDOC)
    message(STATUS "Build manual and man page with pandoc: YES")
else()
    message(STATUS "Build manual and man page with pandoc: NO")
endif()

## bino-dmo 1.6.7

=== debian/changelog ===
bino-dmo (1:1.6.7-dmo2) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 14:25:13 +0200

bino-dmo (1:1.6.7-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Sep 2018 15:37:09 +0200

bino-dmo (1:1.6.6-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Apr 2018 09:14:39 +0200

bino-dmo (1:1.6.6-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jan 2018 08:47:34 +0100

bino-dmo (1:1.6.5-dmo1) unstable; urgency=medium

  * Rebuild against libass9

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jan 2017 08:37:26 +0100

bino (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5 (Closes: #847550)
  * Use dh compat 10
  * Remove ffmpeg_2.9.patch, fixed upstream
  * Use https for copyright Format link
  * Remove versioned dependency to ffmpeg
  * Update standards-version to 3.9.8
  * Update copyright

 -- Daniel Schaal <daniel@schaal.email>  Fri, 16 Dec 2016 20:43:03 +0100

bino (1.6.3-1) unstable; urgency=medium

  * Remove bino-dbg package, rely on automatic dbgsym package
  * Imported Upstream version 1.6.2
  * Imported Upstream version 1.6.3
    * fixes compilation with g++-6 (Closes: #811630)
  * Remove use-fPIC.patch, merged upstream
  * Always use debian/tmp
  * Use https url for Vcs-Git
  * Update standards-version, no changes needed

 -- Daniel Schaal <daniel@schaal.email>  Mon, 15 Feb 2016 05:41:22 +0100

bino (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1
  * Update gbp.conf to match new gbp config style
  * Add patch to compile with -fPIC instead of -fPIE when necessary.
    (Closes: #802374)
  * Update standards-version to 3.9.6
  * Update copyright for new upstream version
  * Update my email address
  * Don't install bino.info anymore, it prevents reproducible builds.
  * Add patch to fix compilation with ffmpeg 2.9 (Closes: #803802)
    Thanks to Andreas Cadhalpun for the patch.

 -- Daniel Schaal <daniel@schaal.email>  Wed, 28 Oct 2015 17:45:23 +0100

bino (1.6.0-1) unstable; urgency=medium

  * Imported Upstream version 1.6.0 (Closes: #757280).
  * Remove libav10 ftbfs patch, applied upstream
  * Switch to qt5
  * Update copyright file for 1.6.0

 -- Daniel Schaal <farbing@web.de>  Sat, 20 Sep 2014 09:42:32 +0200

bino (1.4.4-2) unstable; urgency=medium

  * Add patch to fix FTBFS with libav10 (Closes: #739214).

 -- Daniel Schaal <farbing@web.de>  Fri, 21 Feb 2014 07:31:03 +0100

bino (1.4.4-1) unstable; urgency=low

  * Imported Upstream version 1.4.4
  * Update to Standards-Version 3.9.5, no changes needed
  * Add patch to share images between bino.info and html doc
  * Add patch to include-binaries to avoid "unwanted binaries" error
  * Add signature check for upstream tarball when using uscan

 -- Daniel Schaal <farbing@web.de>  Thu, 26 Dec 2013 09:52:26 +0100

bino (1.4.2-1) unstable; urgency=low

  * Imported Upstream version 1.4.2
  * debian/rules:
    * make build more verbose
    * deleting usr/share/info/dir no longer necessary
    * use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS directly.
  * debian/copyright: Update for 1.4.2.
  * debian/control:
    * Update to Standards-Version 3.9.4, no changes needed.
    * Move git repo to github.

 -- Daniel Schaal <farbing@web.de>  Wed, 01 May 2013 08:57:38 +0200

bino (1.4.0-1) unstable; urgency=low

  * Imported Upstream version 1.4.0
  * Add Build-Depends on debhelper >= 9, remove lintian override
  * debian/gbp.conf: disable pristine-tar as it doesn't support xz yet.
  * debian/control:
    * update Standards-Version to 3.9.3 (no changes needed)
    * build-Depend on libglewmx-dev instead of libglew-dev
    * build-Depend on texinfo
  * debian/copyright:
    * update Format url to new canonical url
    * update for new upstream version
  * debian/watch: only consider versions with even version numbers.

 -- Daniel Schaal <farbing@web.de>  Sun, 24 Jun 2012 11:57:35 +0200

bino (1.2.1-2) unstable; urgency=low

  * explicitly disable Equalizer in configure line
  * Build-Depend on libass-dev >= 0.10.0-2,
    earlier versions are missing a dependency on libfribidi-dev.
    (Closes: #646442)

 -- Daniel Schaal <farbing@web.de>  Fri, 16 Dec 2011 22:45:38 +0100

bino (1.2.1-1) unstable; urgency=low

  * Imported Upstream version 1.2.1
  * add comment to lintian override
  * wrap-and-sort control and .install files
  * build-depend on libglew1.6-dev instead of
    virtual package libglew-dev
  * delete usr/share/info/dir from debian/tmp
  * html docs are installed in htmldir now,
    adapt configure option
  * remove fix-hyphen-used-as-minus.patch, applied upstream

 -- Daniel Schaal <farbing@web.de>  Mon, 10 Oct 2011 22:23:34 +0200

bino (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #610793)

 -- Daniel Schaal <farbing@web.de>  Fri, 09 Sep 2011 14:23:54 +0200

=== debian/control ===
Source: bino-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://bino3d.org/
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12), libass-dev, libavcodec-dev, libavdevice-dev,
 libavformat-dev, libglewmx-dev, liblircclient-dev, libopenal-dev, texinfo,
 qtbase5-dev-tools, libswscale-dev, pkg-config, qt5-default, desktop-file-utils,
 gtk-update-icon-cache, libqt5opengl5-dev

Package: bino
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: 3D video player
 Bino is a video player with support for a wide variety of stereoscopic
 video layouts and formats.
 .
 Bino can display monoscopic videos, as well as videos with the left and
 right view stored either in separate streams or displayed side by side. It
 can output these videos for several types of anaglyph glasses or 3D
 displays.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--htmldir=\$${docdir}/html --without-equalizer \
	--disable-silent-rules --with-qt-version=5

=== debian/watch ===
version=4

https://bino3d.org/download.html \
.*/bino-([\d\.]+)@ARCHIVE_EXT@

## bino-dmo 2.1

=== debian/changelog ===
bino-dmo (1:2.1-dmo3) unstable; urgency=medium

  * Add qt5-qmake to Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Feb 2023 08:12:43 +0100

bino-dmo (1:2.1-dmo2) unstable; urgency=medium

  * Re-upload with source.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Feb 2023 07:38:43 +0100

bino-dmo (1:2.1-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2023 08:41:14 +0100

bino-dmo (1:2.0-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Nov 2022 15:14:10 +0100

bino-dmo (1:1.6.8-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Nov 2021 20:35:58 +0100

bino-dmo (1:1.6.7-dmo3) unstable; urgency=medium

  * Debian/control Replace libqt5opengl5-dev by libqt5opengl5-desktop-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Aug 2021 15:42:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://bino3d.org/
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (= 12), libass-dev, libavcodec-dev, libavdevice-dev,
- libavformat-dev, libglewmx-dev, liblircclient-dev, libopenal-dev, texinfo,
- qtbase5-dev-tools, libswscale-dev, pkg-config, qt5-default, desktop-file-utils,
- gtk-update-icon-cache, libqt5opengl5-dev
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-base-dev,
+ qt6-multimedia-dev, libqt6opengl6-dev, libqt6svg6-dev, qt6-tools-dev,
+ libxkbcommon-dev, qt5-qmake
 
 Package: bino
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export QT_SELECT = 6

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

#	exit 1

override_dh_auto_test:

## bino-dmo 2.5

=== debian/changelog ===
bino-dmo (1:2.5-dmo1) unstable; urgency=medium

  * New upstream version.
  * Add ffmpeg to Recommends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Feb 2025 10:23:08 +0100

bino-dmo (1:2.4-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Feb 2025 12:48:41 +0100

bino-dmo (1:2.3-dmo2) unstable; urgency=medium

  * Should Depends on qt6-svg-plugins

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Jan 2025 15:55:08 +0100

bino-dmo (1:2.3-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Oct 2024 00:49:56 +0200

bino-dmo (1:2.2-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Jun 2024 15:33:51 +0200

bino-dmo (1:2.1-dmo5) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 08:18:21 +0200

bino-dmo (1:2.1-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Mar 2024 22:03:16 +0100

=== debian/control ===
Source: bino-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://bino3d.org/
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-tools-dev,
 qt6-base-dev (>= 6.6~), qt6-multimedia-dev, libqt6svg6-dev, libxkbcommon-dev,

Package: bino
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, qt6-svg-plugins,
Recommends: ffmpeg,
Description: 3D video player
 Bino is a video player with support for a wide variety of stereoscopic
 video layouts and formats.
 .
 Bino can display monoscopic videos, as well as videos with the left and
 right view stored either in separate streams or displayed side by side. It
 can output these videos for several types of anaglyph glasses or 3D
 displays.

=== debian/watch ===
version=4

https://github.com/marlam/bino-mirror/tags \
(?:.*?/)?bino-@ANY_VERSION@@ARCHIVE_EXT@

## bino-dmo 2.6

=== debian/changelog ===
bino-dmo (1:2.6-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Nov 2025 08:37:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://bino3d.org/
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-tools-dev,
  qt6-base-dev (>= 6.6~), qt6-multimedia-dev, libqt6svg6-dev, libxkbcommon-dev,

=== debian/watch ===
Version: 5

Template: Github
Owner: marlam
Project: bino-mirror
